<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */
class OfdFermaReceiptTypeModel
{
    const module = 'ofdFerma';
    const method = 'ofdFerma_receipt_type';

    const group_properties = 'ofrt_properties';
    const field_code = 'ofrt_code';

    public static function getCodeById($objectId)
    {
        $object = umiObjectsCollection::getInstance()->getObject($objectId);
        if(!$object instanceof umiObject) {
            throw new publicException('Не найден объект ' . $objectId);
        }

        return $object->getValue(self::field_code);
    }

    public static function getIdByCode($code)
    {
        static $arCodeToId = array();
        
        if (!isset($arCodeToId[$code])) {
            $sel = new selector('objects');
            $sel->types('hierarchy-type')->name(self::module, self::method);
            $sel->where(self::field_code)->equals($code);
            $sel->option('return', 'id');
            $sel->order('id')->asc();
            $sel->limit(0, 1);

            $result = $sel->result();

            $arCodeToId[$code] = $result ? $result[0]['id'] : false;
        }

        return $arCodeToId[$code];
    }
}