<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */
class OfdFermaVatModel
{
    const module = 'ofdFerma';
    const method = 'ofdFerma_vat';

    const group_properties = 'ofv_properties';
    const field_code = 'ofv_code';
    const field_tax_rate = 'ofv_tax_rate';

    public static function getCodeById($objectId)
    {
        $object = umiObjectsCollection::getInstance()->getObject($objectId);
        if(!$object instanceof umiObject) {
            throw new publicException('Не найден объект ' . $objectId);
        }

        return $object->getValue(self::field_code);
    }

    public static function getCodeByTaxRateId($taxRateId)
    {
        $sel = new selector('objects');
        $sel->types('hierarchy-type')->name(self::module, self::method);
        $sel->where(self::field_tax_rate)->equals($taxRateId);
        $sel->order('id')->asc();
        $sel->limit(0, 1);

        $object = getArrayKey($sel->result(), 0);

        if(!$object instanceof umiObject) {
            throw new publicException('Не найден объект для НДС ' . $taxRateId);
        }

        return $object->getValue(self::field_code);
    }
}