<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ulang://common/">
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:umi="http://www.umi-cms.ru/TR/umi"
>

    <xsl:template match="/result[@method = 'receipt']//data[@type = 'form' and @action = 'modify']" priority="1">
        <div class="tabs-content module {$module}-module">
            <div class="section selected">
                <div class="row">
                    <div class="col-md-12">
                        <h2>Данные чека</h2>
                    </div>
                </div>

                <xsl:if test="current()//field[@name = 'ofr_fn'] = ''">
                    <div class="row">
                        <div class="col-md-12">
                            <a href="/admin/ofdFerma/receipt/{/result/data/object/@id}/update/" class="btn color-blue">Обновить данные чека</a>
                        </div>
                    </div>
                </xsl:if>

                <div class="row">
                    <div class="col-md-12">
                        <xsl:apply-templates select="current()//field" mode="receipt-field" />
                    </div>
                </div>
            </div>
        </div>
    </xsl:template>

    <xsl:template match="field" mode="receipt-field">
        <p style="margin-top: 5px;"><xsl:value-of select="@title" />: <xsl:apply-templates select="current()" mode="receipt-field-value" /></p>
    </xsl:template>

    <xsl:template match="field" mode="receipt-field-value">
        <xsl:value-of select="node()" />
    </xsl:template>

    <xsl:template match="field[@type = 'relation']" mode="receipt-field-value">
        <xsl:value-of select="values/item[1]/node()" />
    </xsl:template>

    <xsl:template match="field[@name = 'ofr_link'][node() != '']" mode="receipt-field-value">
        <a href="{node()}" target="_blank"><xsl:value-of select="node()" /></a>
    </xsl:template>

    <xsl:template match="field[@name = 'ofr_order'][values/item]" mode="receipt-field-value">
        <a href="/admin/emarket/order_edit/{values/item[1]/@id}/"><xsl:value-of select="values/item[1]/node()" /></a>
    </xsl:template>
</xsl:stylesheet>
