<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ulang://common/">
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:umi="http://www.umi-cms.ru/TR/umi"
>

    <xsl:template match="/result[@method = 'settings']//data[@type = 'form' and @action = 'modify']" priority="1">
        <xsl:variable name="pid" select="/result/data/page/@id" />
        <xsl:variable name="oid" select="/result/data/object/@id" />
        <xsl:variable name="link" select="document(concat('upage://', $pid))//@link" />
        <xsl:variable name="isPage" select="not(not(/result/data/page))" />

        <xsl:variable name="value">
            <xsl:choose>
                <xsl:when test="$isPage">
                    <xsl:value-of select="/result/data/page/@type-id" />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="/result/data/object/@type-id" />
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <div class="editing-functions-wrapper">
            <div class="slider_container">
                <div class="left_button"></div>
                <div class="right_button"></div>
                <div class="container_tabs">
                    <div class="tabs editing"></div>
                </div>
            </div>
        </div>

        <div class="tabs-content module {$module}-module">
            <div class="section selected">
                <xsl:apply-templates select="$errors" />
                <form class="form_modify" data-type-id="{$value}" method="post" action="do/" enctype="multipart/form-data">
                    <input type="hidden" name="referer" value="{/result/@referer-uri}" id="form-referer" />
                    <input type="hidden" name="domain" value="{$domain-floated}" />
                    <input type="hidden" name="name" value="Настройки" />
                    <input type="hidden" name="permissions-sent" value="1" />

                    <script type="text/javascript">
                        //Проверка
                        var treeLink = function(key, value){
                        var settings = SettingsStore.getInstance();

                        return settings.set(key, value, 'expanded');
                        }
                    </script>

                    <xsl:apply-templates mode="form-modify" />
                    <xsl:apply-templates select="page" mode="permissions" />

                    <xsl:if test="@action = 'modify' and count(page) = 1">
                        <xsl:apply-templates select="document(concat('udata://backup/backup_panel/', page/@id))/udata" />
                    </xsl:if>

                    <div class="row">
                        <xsl:choose>
                            <xsl:when test="$data-action = 'create'">
                                <xsl:call-template name="std-form-buttons-add" />
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:call-template name="std-form-buttons" />
                            </xsl:otherwise>
                        </xsl:choose>
                    </div>
                </form>

                <script type="text/javascript">
                    var method = '<xsl:value-of select="/result/@method" />';
                    $('.form_modify').find('.select').each(function(){
                    var current = $(this);
                    buildSelect(current);
                    });
                </script>
            </div>
        </div>

        <xsl:call-template name="error-checker">
            <xsl:with-param name="launch" select="1" />
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="/result[@method = 'settings']//object" mode="form-modify">
        <xsl:apply-templates select="properties/group" mode="form-modify">
            <xsl:with-param name="show-name">0</xsl:with-param>
            <xsl:with-param name="show-type">0</xsl:with-param>
        </xsl:apply-templates>
    </xsl:template>
</xsl:stylesheet>
