<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ulang://common/">
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:umi="http://www.umi-cms.ru/TR/umi"
>

    <xsl:template match="/result[@method = 'receipts']/data[@type = 'list' and @action = 'view']" priority="1">
        <div class="location">
            <xsl:apply-templates select="document('udata://ofdFerma/getOfdFermaReceiptsFilterData/')/udata" mode="receipts-filter" />

            <div class="row">
                <a id="receiptLink" class="btn color-blue loc-left" href="/admin/ofdFerma/receiptLink/" target="_blank">
                    <xsl:text>&label-receipt-link;</xsl:text>
                </a>
            </div>
		</div>
		<div class="layout">
			<div class="column">
				<xsl:call-template name="ui-smc-table">
					<xsl:with-param name="content-type">objects</xsl:with-param>
					<xsl:with-param name="control-params">receipts</xsl:with-param>
					<xsl:with-param name="disable-csv-buttons">1</xsl:with-param>
					<xsl:with-param name="enable-edit">0</xsl:with-param>
					<xsl:with-param name="disable-name-filter">true</xsl:with-param>
					<xsl:with-param name="search-show">0</xsl:with-param>
                    <xsl:with-param name="js-add-buttons">
                        createAddButton(
                            $('#receiptLink')[0],
                            oTable,
                            '/admin/ofdFerma/receiptLink/{id}/',
                            [
                                '*'
                            ]
                        );
                    </xsl:with-param>
				</xsl:call-template>
			</div>
			<div class="column">
				<xsl:call-template name="entities.help.content" />
			</div>
		</div>
	</xsl:template>

    <xsl:template match="udata" mode="receipts-filter" />

    <xsl:template match="udata[fields/field]" mode="receipts-filter">
        <form action="/admin/ofdFerma/receipts/" method="GET">
            <xsl:apply-templates select="fields/field" mode="receipts-filter-field" />
        </form>
    </xsl:template>

    <xsl:template match="field" mode="receipts-filter-field" />

    <xsl:template match="field[@type = 'date']" mode="receipts-filter-field">
        <div class="row">
            <div class="datePicker" style="display: inline-block;">
                <span><xsl:value-of select="@title" />: </span>
                <label for="{@name}DateFrom">от <input id="{@name}DateFrom" type="text" style="width:auto; display: inline-block;" class="default" value="{value/from}" name="filter[{@name}][date][from]" /></label>
            </div>
            <div class="datePicker" style="display: inline-block;">
                <label for="{@name}DateTo" style="margin-left: 5px;">до <input id="{@name}DateTo" type="text" style="width:auto; display: inline-block;" class="default" value="{value/to}" name="filter[{@name}][date][to]" /></label>
            </div>

            <xsl:call-template name="receipts-filter-submit">
                <xsl:with-param name="last" select="position() = last()" />
            </xsl:call-template>
        </div>
    </xsl:template>

    <xsl:template match="field[@type = 'string']" mode="receipts-filter-field">
        <div class="row">
            <span><xsl:value-of select="@title" />: </span>
            <label for="{@name}String"><input id="{@name}String" type="text" style="width:auto; display: inline-block;" class="default" value="{value}" name="filter[{@name}]" /></label>

            <xsl:call-template name="receipts-filter-submit">
                <xsl:with-param name="last" select="position() = last()" />
            </xsl:call-template>
        </div>
    </xsl:template>

    <xsl:template match="field[@type = 'relation']" mode="receipts-filter-field">
        <div class="row">
            <span><xsl:value-of select="@title" />: </span>
            <label for="{@name}">
                <select autocomplete="off" name="filter[{@name}]" id="relationSelect{generate-id()}">
                    <option value="">Не выбран</option>

                    <xsl:apply-templates select="values/item" mode="receipts-filter-field-relation-item" />
                </select>
            </label>

            <xsl:call-template name="receipts-filter-submit">
                <xsl:with-param name="last" select="position() = last()" />
            </xsl:call-template>
        </div>
    </xsl:template>

    <xsl:template match="item" mode="receipts-filter-field-relation-item">
        <option value="{@id}">
            <xsl:copy-of select="@selected" />
            <xsl:value-of select="node()" />
        </option>
    </xsl:template>

    <xsl:template name="receipts-filter-submit">
        <xsl:param name="last" />

        <xsl:if test="$last = true()">
            <div class="buttons" style="display: inline-block; margin-left: 10px;"><div><input type="submit" value="Фильтровать" class="btn color-blue btn-small" /></div></div>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>